## org.openorb.compiler.idl.reflect
Interface idlOperation

All Superinterfaces:
  idlObject

All Known Implementing Classes:
  IdlOp

public interface idlOperation
extends idlObject

This interface is implemented by the IDL object that represents an IDL operation.

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel

Method Summary
`java.lang.String[]` `contexts()` Return the contexts
`idlException[]` `exceptions()` Return the exceptions
`boolean` `isOneway()` Return TRUE if this operation is marked as 'oneway'
`idlParameter[]` `parameters()` Return the parameters
`idlObject` `returnType()` Return the return type

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, content, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Method Detail

### isOneway

    public boolean isOneway()

  Return TRUE if this operation is marked as 'oneway'

### returnType

    public idlObject returnType()

  Return the return type

### parameters

    public idlParameter[] parameters()

  Return the parameters

### exceptions

    public idlException[] exceptions()

  Return the exceptions

### contexts

    public java.lang.String[] contexts()

  Return the contexts